LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::drawing::CaptionEscapeDirection Constant Group Referencepublished

this flags describe escape direction for the line of a CaptionShape. More...

## Variables
const short | horizontal = 0
| the caption line leaves the caption area at the horizontal edge that is nearest to the caption point. More...
const short | vertical = 1
| the caption line leaves the caption area at the vertical edge that is nearest to the caption point. More...
const short | auto = 2
| the caption line leaves the caption area at the edge that is nearest to the caption point. More...

## Detailed Description

this flags describe escape direction for the line of a CaptionShape.

See also
  CaptionShape

## Variable Documentation

## ◆ auto

const short auto = 2

the caption line leaves the caption area at the edge that is nearest to the caption point.

## ◆ horizontal

const short horizontal = 0

the caption line leaves the caption area at the horizontal edge that is nearest to the caption point.

## ◆ vertical

const short vertical = 1

the caption line leaves the caption area at the vertical edge that is nearest to the caption point.